> For the complete documentation index, see [llms.txt](https://docs.airops.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.airops.com/docs/es/acciones/workflow-concepts/workflow-steps/logic-steps/json.md).

# Formatear JSON

Formatea la salida como JSON

## ¿Cómo funciona el paso JSON?

El paso JSON le permite estructurar la salida de su flujo de trabajo en un formato JSON estandarizado. Esto se hace seleccionando las claves y los valores de los distintos pasos que desea exponer en la salida.

## Cómo configurar un paso JSON

El paso JSON es bastante intuitivo. Dado que está formateando la salida de un paso anterior, normalmente fluirá directamente hacia su paso Final.

Puede nombrar la "clave" y el "valor" como usted quiera, y puede elegir completarlos con la entrada de pasos anteriores:

{% @arcade/embed url="<https://app.arcade.software/share/BtyQUAfSJf5dzhIWUVIR>" flowId="BtyQUAfSJf5dzhIWUVIR" %}

Al hacer clic en el **"Añadir variable +"** botón, podrá definir campos adicionales dentro de su salida JSON.

## Ejemplo

Recorramos un ejemplo rápido de cómo usar un paso JSON para lograr la salida deseada en un formato JSON.

Nuestro flujo de trabajo toma una entrada simple de cadena (nombre de la ciudad) y utiliza un paso LLM para generar una breve descripción histórica de la ciudad. Insertaremos nuestro paso JSON después de esto, formateando nuestra salida como:

```
{
  "nombre_de_la_ciudad": "Los Ángeles",
  "descripción": "La descripción completa de la ciudad."
}
```

{% @arcade/embed url="<https://app.arcade.software/share/2XKC3NgLFXFs5zJYKZNJ>" flowId="2XKC3NgLFXFs5zJYKZNJ" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.airops.com/docs/es/acciones/workflow-concepts/workflow-steps/logic-steps/json.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
